import { OnInit, EventEmitter } from '@angular/core';
import { Calendar } from '../../utils/Calendar';
import { CalendarEvent } from '../../utils/CalendarEvent';
import { NgbDatepickerConfig } from '@ng-bootstrap/ng-bootstrap';
export declare class YearViewComponent implements OnInit {
    /**
    * The current view date
    */
    viewDate: Date;
    /**
    * An array of calendars to display on view.
    */
    calendars: Calendar[];
    displayMonths: number;
    navigation: string;
    showWeekNumbers: boolean;
    /**
    * Called when the event title is clicked
    */
    dayClicked: EventEmitter<{
        day: Date;
        events: CalendarEvent[];
    }>;
    constructor(config: NgbDatepickerConfig);
    ngOnInit(): void;
    daySelected(date: any): void;
    isToday(date: any): boolean;
    isReserved(date: any): boolean;
    getColor(date: any): string;
}
